Bug 1254314 - [abrt] xorg-x11-server-Xorg: kgem_expire_cache(): Xorg killed by SIGABRT
[abrt] xorg-x11-server-Xorg: kgem_expire_cache(): Xorg killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d50e49b98d7aa0d1a293a33113f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-17 12:49 EDT by Amol
Modified: 2016-07-19 13:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:32:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (19.27 KB, text/plain)
2015-08-17 12:49 EDT, Amol
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-17 12:49 EDT, Amol
no flags Details
File: core_backtrace (5.22 KB, text/plain)
2015-08-17 12:49 EDT, Amol
no flags Details
File: dso_list (5.81 KB, text/plain)
2015-08-17 12:49 EDT, Amol
no flags Details
File: environ (409 bytes, text/plain)
2015-08-17 12:49 EDT, Amol
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-17 12:49 EDT, Amol
no flags Details
File: maps (33.09 KB, text/plain)
2015-08-17 12:49 EDT, Amol
no flags Details
File: mountinfo (3.42 KB, text/plain)
2015-08-17 12:49 EDT, Amol
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-17 12:49 EDT, Amol
no flags Details
File: open_fds (1.72 KB, text/plain)
2015-08-17 12:49 EDT, Amol
no flags Details
File: proc_pid_status (1007 bytes, text/plain)
2015-08-17 12:49 EDT, Amol
no flags Details
File: var_log_messages (494 bytes, text/plain)
2015-08-17 12:49 EDT, Amol
no flags Details

  None (edit)
Description Amol 2015-08-17 12:49:07 EDT
Description of problem:
Watching HD videos

Version-Release number of selected component:
xorg-x11-server-Xorg-1.17.2-2.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/libexec/Xorg vt2 -displayfd 3 -auth /run/user/1000/gdm/Xauthority -nolisten tcp -background none -noreset -keeptty -verbose 3
crash_function: kgem_expire_cache
executable:     /usr/libexec/Xorg
global_pid:     4133
kernel:         4.1.3-201.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 kgem_expire_cache at kgem.c:4173
 #7 do_execbuf at kgem.c:3874
 #8 _kgem_submit at kgem.c:3980
 #9 _CallCallbacks at dixutils.c:718
 #10 CallCallbacks at ../include/callback.h:83
 #11 WriteToClient at io.c:854
 #12 WriteEventsToClient at events.c:5993
 #13 DamageExtNotify at damageext.c:121
 #14 DamageReportDamage at damage.c:1935
 #15 damageRegionProcessPending at damage.c:292

Potential duplicate: bug 1186711
Comment 1 Amol 2015-08-17 12:49:12 EDT
Created attachment 1064003 [details]
File: backtrace
Comment 2 Amol 2015-08-17 12:49:13 EDT
Created attachment 1064004 [details]
File: cgroup
Comment 3 Amol 2015-08-17 12:49:15 EDT
Created attachment 1064005 [details]
File: core_backtrace
Comment 4 Amol 2015-08-17 12:49:17 EDT
Created attachment 1064006 [details]
File: dso_list
Comment 5 Amol 2015-08-17 12:49:19 EDT
Created attachment 1064007 [details]
File: environ
Comment 6 Amol 2015-08-17 12:49:20 EDT
Created attachment 1064008 [details]
File: limits
Comment 7 Amol 2015-08-17 12:49:23 EDT
Created attachment 1064009 [details]
File: maps
Comment 8 Amol 2015-08-17 12:49:25 EDT
Created attachment 1064010 [details]
File: mountinfo
Comment 9 Amol 2015-08-17 12:49:26 EDT
Created attachment 1064011 [details]
File: namespaces
Comment 10 Amol 2015-08-17 12:49:28 EDT
Created attachment 1064012 [details]
File: open_fds
Comment 11 Amol 2015-08-17 12:49:30 EDT
Created attachment 1064013 [details]
File: proc_pid_status
Comment 12 Amol 2015-08-17 12:49:32 EDT
Created attachment 1064014 [details]
File: var_log_messages
Comment 13 Ricardo Ramos 2015-08-19 00:07:51 EDT
Another user experienced a similar problem:

I was watching a video using Totem and suddenly it went directly to the login screen to start sesion again.

reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/libexec/Xorg vt2 -displayfd 3 -auth /run/user/1000/gdm/Xauthority -nolisten tcp -background none -noreset -keeptty -verbose 3
crash_function: kgem_expire_cache
executable:     /usr/libexec/Xorg
global_pid:     1704
kernel:         4.1.4-200.fc22.x86_64
package:        xorg-x11-server-Xorg-1.17.2-2.fc22
reason:         Xorg killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 AGS 2015-08-31 10:53:29 EDT
This just happened to me.  I was pulling one window from one work-space to the other and it randomly crashed everything back to the GDM screen.
Comment 15 AGS 2015-08-31 10:54:15 EDT
Btw, journalctl reports:

gnome-session[6898]: (gnome-shell:7044): mutter-WARNING **: STACK_OP_ADD: window 0x1800001 already in stack
gnome-session[6898]: (gnome-shell:7044): mutter-WARNING **: STACK_OP_ADD: window 0x1800001 already in stack
Comment 16 Fedora End Of Life 2016-07-19 13:32:33 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.